## GstVideoAggregatorPad GstVideoAggregatorPad |

## Properties

gboolean | ignore-eos | Read / Write
guint | zorder | Read / Write

## Types and Values

struct | GstVideoAggregatorPad
struct | GstVideoAggregatorPadClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstPad
                    ╰── GstAggregatorPad
                        ╰── GstVideoAggregatorPad

## Description

## Functions

## Types and Values

### struct GstVideoAggregatorPad

    struct GstVideoAggregatorPad;

#### Members

### struct GstVideoAggregatorPadClass

    struct GstVideoAggregatorPadClass {
      GstAggregatorPadClass parent_class;
      gboolean           (*set_info)              (GstVideoAggregatorPad * pad,
                                                   GstVideoAggregator    * videoaggregator,
                                                   GstVideoInfo          * current_info,
                                                   GstVideoInfo          * wanted_info);

      gboolean           (*prepare_frame)         (GstVideoAggregatorPad * pad,
                                                   GstVideoAggregator    * videoaggregator);

      void               (*clean_frame)           (GstVideoAggregatorPad * pad,
                                                   GstVideoAggregator    * videoaggregator);

      gpointer          _gst_reserved[GST_PADDING_LARGE];
    };

`set_info` : Lets subclass set a converter on the pad, right after a new format has been negotiated. `prepare_frame` : Prepare the frame from the pad buffer (if any) and sets it to `aggregated_frame` `clean_frame` : clean the frame previously prepared in prepare_frame

## Property Details

### The `“ignore-eos”` property

      “ignore-eos”               gboolean

Aggregate the last frame on pads that are EOS till they are released.

Flags: Read / Write

Default value: FALSE

### The `“zorder”` property

      “zorder”                   guint

Z Order of the picture.

Flags: Read / Write

Default value: 0